import { LotteryData } from "../../../libs/tw/data/common/lottery/LotteryData";
import { NetManager } from "../../../libs/tw/manager/NetManager";
import { DataManager } from "../../../libs/tw/manager/DataManager";

const showLog = (lottery: LotteryData) => {
    //曝光埋点
    if (lottery.imgExposure) {
        NetManager.ins.showLog(lottery.imgExposure);
    }
    //如果是福袋还需要推啊曝光
    if (lottery.type == "lucky") {
        NetManager.ins.spmshow(DataManager.ins.gameGetSubmitResultData.exposure);
    }
}

export default showLog;